#ifndef TOWNLEVL_H
#define TOWNLEVL_H

procedure get_current_area;
procedure determine_town_level;

variable town_level := 0;
variable current_town := "";

procedure get_current_area begin
   current_town := "";
   if ((cur_map_index == MAP_ARROYO_CAVES)		
   or (cur_map_index == MAP_ARROYO_VILLAGE)		
   or (cur_map_index == MAP_ARROYO_WILDERNESS)		
   or (cur_map_index == MAP_ARROYO_BRIDGE)) then begin 	
      current_town := "Arroyo";		
   end
   else
   if ((cur_map_index == MAP_KLAMATH_1)		
   or (cur_map_index == MAP_KLAMATH_MALL)		
   or (cur_map_index == MAP_KLAMATH_RATCAVES)		
   or (cur_map_index == MAP_KLAMATH_TRAPCAVES)		
   or (cur_map_index == MAP_KLAMATH_GRAZE)		
   or (cur_map_index == MAP_KLAMATH_CANYON)		
   or (cur_map_index == MAP_KLAMATH_RAT_CAVE_ENTER)) then begin 	
      current_town := "Klamath";		
   end 
   else
   if (cur_map_index == MAP_KLAMATH_TOXICCAVES) then begin 	
         current_town := "Klamath Toxic Caves";		
   end
   else
   if (cur_map_index == MAP_MAD_DOG_ENCOUNTER) then begin 	
         current_town := "Mad Dog Area";		
   end 
   else
   if ((cur_map_index == MAP_DEN_ENTRANCE)		
   or (cur_map_index == MAP_DEN_BUSINESS)		
   or (cur_map_index == MAP_DEN_RESIDENTIAL)) then begin 	
      current_town := "Den";		
   end 
   else
   if ((cur_map_index == MAP_PRIMITIVE_TRIBES)		
   or (cur_map_index == MAP_PRIMITIVE_WATERSLIDE)	
   or (cur_map_index == MAP_SLAVER_CAMP)		
   or (cur_map_index == MAP_DARK_CAVE)) then begin 	
      current_town := "Primitive Tribes";		
   end
   else
   if (cur_map_index == MAP_PRIMITIVE_TRIBE) then begin 	
         current_town := "Primitive Tribe";		
   end
   else
   if (cur_map_index == MAP_DEN_SLAVE_RUN) then begin 	
         current_town := "Den Slave Run";		
   end
   else
   if (cur_map_index == MAP_JENNINGS_FARM) then begin 	
      current_town := "Jennings Farm Area";		
   end
   else
   if (cur_map_index == MAP_TRUCK) then begin 	
      current_town := "Truck";		
   end
   else
   if (cur_map_index == MAP_SCRAPTOWN) then begin 	
      current_town := "Scraptown";		
   end
   else
   if ((cur_map_index == MAP_MODOC_MAINSTREET)		
   or (cur_map_index == MAP_MODOC_BEDNBREAKFAST)		
   or (cur_map_index == MAP_MODOC_BRAHMINPASTURES)	
   or (cur_map_index == MAP_MODOC_GARDEN)		
   or (cur_map_index == MAP_MODOC_DOWNTHESHITTER)	
   or (cur_map_index == MAP_MODOC_WELL)) then begin 	
      current_town := "Modoc";		
   end
   else
   if (cur_map_index == MAP_VAULT23EN) then begin 	
      current_town := "Vault 23";		
   end
   else
   if ((cur_map_index == MAP_GHOST_FARM)		
   or (cur_map_index == MAP_GHOST_CAVERN)		
   or (cur_map_index == MAP_GHOST_LAKE)) then begin 	
      current_town := "Ghost Farm";		
   end
   else
   if (cur_map_index == MAP_MODOC_THIEVES_GUILD) then begin 	
      current_town := "Modoc Thieves Guild";		
   end
   else
   if (cur_map_index == MAP_SALVATORE_GUN_STASH) then begin 	
      current_town := "Salvatore's Gun Stash";		
   end
   else
   if (cur_map_index == MAP_SPECIAL_SALVATOR_ENCNTR) then begin 	
      current_town := "Special Salvatore";		
   end
   else
   if (cur_map_index == MAP_DESERT_MEETING) then begin 	
      current_town := "Salvatore Meeting";		
   end
   else
   if ((cur_map_index == MAP_GECKO_SETTLEMENT)		
   or (cur_map_index == MAP_GECKO_POWER_PLANT)		
   or (cur_map_index == MAP_GECKO_JUNKYARD)		
   or (cur_map_index == MAP_GECKO_ACCESS_TUNNELS)) then begin 	
      current_town := "Gecko";		
   end
   else
   if ((cur_map_index == MAP_VAULTCITY_COURTYARD)	
   or (cur_map_index == MAP_VAULTCITY_DOWNTOWN)		
   or (cur_map_index == MAP_VAULTCITY_COUNCIL)		
   or (cur_map_index == MAP_VAULT_CITY_VAULT)) then begin 	
      current_town := "Vault City";		
   end
   else
   if ((cur_map_index == MAP_RAIDERS_CAMP1)		
   or (cur_map_index == MAP_RAIDERS_CAMP2)) then begin 	
      current_town := "Raiders";		
   end
   else
   if ((cur_map_index == MAP_BROKEN_HILLS1)		
   or (cur_map_index == MAP_BROKEN_HILLS2)) then begin 	
      current_town := "Broken Hills";		
   end
   else
   if ((cur_map_index == MAP_REDDING_DOWNTOWN)		
   or (cur_map_index == MAP_REDDING_WANAMINGO_ENT)	
   or (cur_map_index == MAP_REDDING_WANAMINGO_12)	
   or (cur_map_index == MAP_REDDING_MINE_ENT)		
   or (cur_map_index == MAP_REDDING_DTOWN_TUNNEL)	
   or (cur_map_index == MAP_REDDING_MINE_TUNNEL)) then begin 	
      current_town := "Redding";		
   end
   else
   if ((cur_map_index == MAP_NEW_RENO_1)		
   or (cur_map_index == MAP_NEW_RENO_2)		
   or (cur_map_index == MAP_NEW_RENO_3)		
   or (cur_map_index == MAP_NEW_RENO_4)		
   or (cur_map_index == MAP_NEW_RENO_CHOP_SHOP)		
   or (cur_map_index == MAP_NEW_RENO_BOXING)		
   or (cur_map_index == MAP_NEW_RENO_VB)) then begin 	
      current_town := "New Reno";		
   end
   else
   if ((cur_map_index == MAP_LARS_STREET)		
   or (cur_map_index == MAP_LARS_REAKTOR)		
   or (cur_map_index == MAP_LARS_SCORPION_SQUARE)	
   or (cur_map_index == MAP_LARS_BH)) then begin 	
      current_town := "Lars-City";		
   end
   else
   if (cur_map_index == MAP_CARSON_MAIN) then begin 	
      current_town := "Lars-City Carson";		
   end
   else
   if (cur_map_index == MAP_ABBEY_1) then begin 	
      current_town := "Abbey";		
   end
   else
   if ((cur_map_index == MAP_EPA_SUBLEVELS)		
   or (cur_map_index == MAP_WAREHOUSE)) then begin 	
      current_town := "EPA";		
   end
   else
   if ((cur_map_index == MAP_COLLY_GARBAGE)		
   or (cur_map_index == MAP_COLLY_HIDEOUT)) then begin 	
      current_town := "Collyweb";		
   end
   else
   if ((cur_map_index == MAP_NEW_RENO_GOLGATHA)) then begin 	
      current_town := "Golgotha";		
   end
   else
   if ((cur_map_index == MAP_NEW_RENO_STABLES)) then begin 	
      current_town := "Reno Stables";		
   end
   else
   if ((cur_map_index == MAP_SIERRA_BATTLE)		
   or (cur_map_index == MAP_SIERRA_123)		
   or (cur_map_index == MAP_SIERRA_4)) then begin 	
      current_town := "Sierra Army Base";		
   end
   else
   if ((cur_map_index == MAP_NCR_BAZAAR)		
   or (cur_map_index == MAP_NCR_COUNCIL)		
   or (cur_map_index == MAP_NCR_DOWNTOWN)		
   or (cur_map_index == MAP_NCR_WESTIN_RANCH)		
   or (cur_map_index == MAP_NCR_GRAZING_LANDS)) then begin 	
      current_town := "NCR";		
   end
   else
   if (cur_map_index == MAP_B21) then begin 	
      current_town := "B21";		
   end
   else
   if ((cur_map_index == MAP_THE_SQUAT_A)		
   or (cur_map_index == MAP_THE_SQUAT_B)		
   or (cur_map_index == MAP_VAULT_15)		
   or (cur_map_index == MAP_VAULT_15_EAST_ENTRANCE)) then begin 	
      current_town := "Vault 15";		
   end
   else
   if ((cur_map_index == MAP_VAULT_13)		
   or (cur_map_index == MAP_VAULT_13_ENTRANCE)) then begin 	
      current_town := "Vault 13";		
   end
   else
   if ((cur_map_index == MAP_MILITARY_BASE_12)		
   or (cur_map_index == MAP_MILITARY_BASE_34)		
   or (cur_map_index == MAP_MILITARY_BASE_ENTRANCE)) then begin 	
      current_town := "Military Base";		
   end
   else
   if ((cur_map_index == MAP_SAN_FRAN_CHINATOWN)		
   or (cur_map_index == MAP_SAN_FRAN_DOCK)		
   or (cur_map_index == MAP_SAN_FRAN_TANKER)		
   or (cur_map_index == MAP_SHUTTLE_EXTERIOR)		
   or (cur_map_index == MAP_SHUTTLE_INTERIOR)		
   or (cur_map_index == MAP_ELRONOLOGIST_BASE)		
   or (cur_map_index == MAP_SHI_TEMPLE)) then begin 	
      current_town := "San Francisco";		
   end
   else
   if ((cur_map_index == MAP_BROHDENT)		
   or (cur_map_index == MAP_BROHD12)		
   or (cur_map_index == MAP_BROHD34)		
   or (cur_map_index == MAP_BROHD1K)) then begin 	
      current_town := "Brohdent";		
   end
   else
   if ((cur_map_index == MAP_VAULT14_ENTRANCE)		
   or (cur_map_index == MAP_VAULT14)		
   or (cur_map_index == MAP_VAULT14B)) then begin 	
      current_town := "Vault 14";		
   end
   else
   if ((cur_map_index == MAP_NAVARRO_ENTRANCE)) then begin 	
      current_town := "Navarro";		
   end
   else
   if ((cur_map_index == MAP_ENCLAVE_DOCK)		
   or (cur_map_index == MAP_ENCLAVE_DETENTION)		
   or (cur_map_index == MAP_ENCLAVE_END_FIGHT)		
   or (cur_map_index == MAP_ENCLAVE_BARRACKS)		
   or (cur_map_index == MAP_ENCLAVE_PRESIDENT)		
   or (cur_map_index == MAP_ENCLAVE_REACTOR)		
   or (cur_map_index == MAP_ENCLAVE_TRAP_ROOM)		
   or (cur_map_index == MAP_ENCLAVE_DOC_WITH_VERT)	
   or (cur_map_index == MAP_ENCLAVE_FIGHT_WO_FRANK)) then begin 	
      current_town := "Enclave";		
   end
   else
   if ((cur_map_index == MAP_BOS_ENTRANCE)		
   or (cur_map_index == MAP_BOS_LEVEL_12)		
   or (cur_map_index == MAP_BOS_LEVEL_34)) then begin 	
      current_town := "BoS Bunker";		
   end
   else
   if (cur_map_index == MAP_BOS_NEED_HELP) then begin 	
      current_town := "BoS Help";		
   end
   else
   if ((cur_map_index == MAP_EPA_ENTRANCE)		
   or (cur_map_index == MAP_EPA)) then begin 		
      current_town := "BOS Facility";		
   end
   else
   if (cur_map_index == MAP_SPECIAL_RND_WHALE) then begin 	
      current_town := "Special Whale";		
   end
   else
   if (cur_map_index == MAP_SPECIAL_RND_WOODSMAN) then begin 	
      current_town := "Special Woodsman";		
   end
   else
   if (cur_map_index == MAP_SPECIAL_RND_HEAD) then begin 	
      current_town := "Special Head";		
   end
   else
   if (cur_map_index == MAP_SPECIAL_RND_SHUTTLE) then begin 	
      current_town := "Special Shuttle";		
   end
   else
   if (cur_map_index == MAP_SPECIAL_RND_UNWASHED) then begin 	
      current_town := "Special Unwashed";		
   end
   else
   if (cur_map_index == MAP_SPECIAL_RND_BRIDGE) then begin 	
      current_town := "Special Bridge";		
   end
   else
   if (cur_map_index == MAP_SPECIAL_RND_CAFE) then begin 	
      current_town := "Special Cafe";		
   end
   else
   if (cur_map_index == MAP_SPECIAL_RND_HOLY1) then begin 	
      current_town := "Special Holy 1";		
   end
   else
   if (cur_map_index == MAP_SPECIAL_RND_HOLY2) then begin 	
      current_town := "Special Holy 2";		
   end
   else
   if (cur_map_index == MAP_SPECIAL_RND_GUARDIAN) then begin 	
      current_town := "Special Guardian";		
   end
   else
   if (cur_map_index == MAP_SPECIAL_RND_TOXIC) then begin 	
      current_town := "Special Toxic";		
   end
   else
   if (cur_map_index == MAP_SPECIAL_RND_PARIAH) then begin 	
      current_town := "Special Pariah";		
   end
   else
   if (cur_map_index == MAP_SPECIAL_RND_MAD_COW) then begin 	
      current_town := "Special Brahmin";		
   end
   else
   if (cur_map_index == MAP_SPECIAL_POSTMAN) then begin 	
      current_town := "Special Postman";		
   end
   else
   if (cur_map_index == MAP_SPECIAL_SALVATOR_ENCNTR) then begin 	
      current_town := "Special Salvator";		
   end
   else
   if (cur_map_index == MAP_DEAD_MASTER_ARMY) then begin 	
      current_town := "Dead Soldiers of Master Army";	
   end
   else
   if ((cur_map_index == MAP_BH_RND_MOUNTAIN)		
   or (cur_map_index == MAP_BH_RND_DESERT)) then begin 	
      current_town := "Caravan Encounters";		
   end
   else
   if (cur_map_index == MAP_IN_GAME_MOVIE1) then begin 	
      current_town := "In Game Movie";		
   end
   else
   if (cur_map_index == MAP_BESS_DEAD) then begin 	
      current_town := "Bess Dead";		
   end
   else
   if ((cur_map_index == MAP_DEATHCLAW_ENCOUNTER_A)	
   or (cur_map_index == MAP_DEATHCLAW_ENCOUNTER_B)) then begin 	
      current_town := "DeathClaw Encounters";		
   end
   else
   if ((cur_map_index == MAP_RND_DESERT_1)		
   or (cur_map_index == MAP_RND_DESERT_2)		
   or (cur_map_index == MAP_RND_DESERT_3)		
   or (cur_map_index == MAP_RND_DESERT4)		
   or (cur_map_index == MAP_RND_DESERT5)		
   or (cur_map_index == MAP_RND_DESERT6)		
   or (cur_map_index == MAP_RND_DESERT7)		
   or (cur_map_index == MAP_RND_DESERT_8)		
   or (cur_map_index == MAP_RND_DESERT_9)		
   or (cur_map_index == MAP_RND_DESERT_10)		
   or (cur_map_index == MAP_RND_DESERT_11)		
   or (cur_map_index == MAP_RND_DESERT_12)) then begin 	
      current_town := "Random Encounter Desert";		
   end
   else
   if ((cur_map_index == MAP_RND_MOUNTAIN1)		
   or (cur_map_index == MAP_RND_MOUNTAIN2)		
   or (cur_map_index == MAP_RND_MOUNTAIN_3)		
   or (cur_map_index == MAP_RND_MOUNTAIN_4)		
   or (cur_map_index == MAP_RND_MOUNTAIN_5)		
   or (cur_map_index == MAP_RND_MOUNTAIN_6)) then begin 	
      current_town := "Random Encounter Mountain";	
   end
   else
   if ((cur_map_index == MAP_RND_CITY1)		
   or (cur_map_index == MAP_RND_CITY_2)		
   or (cur_map_index == MAP_RND_CITY_3)		
   or (cur_map_index == MAP_RND_CITY_4)		
   or (cur_map_index == MAP_RND_CITY_5)		
   or (cur_map_index == MAP_RND_CITY_6)		
   or (cur_map_index == MAP_RND_CITY_7)		
   or (cur_map_index == MAP_RND_CITY_8)) then begin 	
      current_town := "Random Encounter City";		
   end
   else
   if ((cur_map_index == MAP_RND_COAST1)		
   or (cur_map_index == MAP_RND_COAST2)		
   or (cur_map_index == MAP_RND_COAST3)		
   or (cur_map_index == MAP_RND_COAST4)		
   or (cur_map_index == MAP_RND_COAST5)		
   or (cur_map_index == MAP_RND_COAST6)		
   or (cur_map_index == MAP_RND_COAST7)		
   or (cur_map_index == MAP_RND_COAST8)		
   or (cur_map_index == MAP_RND_COAST9)		
   or (cur_map_index == MAP_RND_COAST_10)		
   or (cur_map_index == MAP_RND_COAST_11)		
   or (cur_map_index == MAP_RND_COAST_12)) then begin 	
      current_town := "Random Encounter Coast";		
   end
   else
   if ((cur_map_index == MAP_RND_CAVERN0)		
   or (cur_map_index == MAP_RND_CAVERN1)		
   or (cur_map_index == MAP_RND_CAVERN2)		
   or (cur_map_index == MAP_RND_CAVERN3)		
   or (cur_map_index == MAP_RND_CAVERN4)		
   or (cur_map_index == MAP_RND_CAVERN5)		
   or (cur_map_index == MAP_RND_CAVERN_6)		
   or (cur_map_index == MAP_RND_CAVERN_7)) then begin 	
      current_town := "Random Encounter Cavern";		
   end
   else
   if ((cur_map_index == MAP_ABANDONED_MINE_ENTRANCE)		
   or (cur_map_index == MAP_ABANDONED_MINE_1_2)			
   or (cur_map_index == MAP_ABANDONED_MINE_3_4)) then begin 	
      current_town := "Abandoned Mine";		
   end 			
   return current_town;
end

procedure determine_town_level begin
   town_level := 0;
   call get_current_area;
   if ((current_town == "Arroyo")
   or (current_town == "Klamath")
   or (current_town == "Klamath Toxic Caves")
   or (current_town == "Mad Dog Area")) then begin
      town_level := 1;
   end
   else
   if ((current_town == "Den")
   or (current_town == "Den Slave Run")
   or (current_town == "Modoc")
   or (current_town == "Jennings Farm Area")
   or (current_town == "Truck")
   or (current_town == "Scraptown")
   or (current_town == "Modoc Thieves Guild")
   or (current_town == "Salvatore's Gun Stash")
   or (current_town == "Special Salvatore")
   or (current_town == "Salvatore Meeting")
   or (current_town == "Collyweb")
   or (current_town == "Primitive Tribe")
   or (current_town == "Ghost Farm")) then begin
      town_level := 2;
   end
   else
   if ((current_town == "Gecko")
   or (current_town == "Vault City")
   or (current_town == "Raiders")
   or (current_town == "Special Whale")
   or (current_town == "Special Woodsman")
   or (current_town == "Special Head")
   or (current_town == "Special Shuttle")
   or (current_town == "Special Unwashed")
   or (current_town == "Special Bridge")
   or (current_town == "Special Cafe")
   or (current_town == "Special Holy 1")
   or (current_town == "Special Holy 2")
   or (current_town == "Special Guardian")
   or (current_town == "Special Toxic")
   or (current_town == "Special Pariah")
   or (current_town == "Special Brahmin")
   or (current_town == "Special Postman")
   or (current_town == "Special Salvator")
   or (current_town == "Dead Soldiers of Master Army")
   or (current_town == "Caravan Encounters")
   or (current_town == "DeathClaw Encounters")
   or (current_town == "Random Encounter Desert")
   or (current_town == "Random Encounter Mountain")
   or (current_town == "Random Encounter City")
   or (current_town == "Random Encounter Coast")
   or (current_town == "Random Encounter Cavern")
   or (current_town == "Bess Dead")
   or (current_town == "In Game Movie")) then begin
      town_level := 3;
   end
   else
   if ((current_town == "Broken Hills")
   or (current_town == "New Reno")
   or (current_town == "Salvatore's Gun Stash")
   or (current_town == "Special Salvatore")
   or (current_town == "Salvatore Meeting")
   or (current_town == "Golgotha")
   or (current_town == "Reno Stables")
   or (current_town == "Redding")
   or (current_town == "Abbey")
   or (current_town == "Lars-City Carson")
   or (current_town == "Lars-City")
   or (current_town == "EPA")
   or (current_town == "Sierra Army Base")) then begin
      town_level := 4;
   end
   else
   if ((current_town == "NCR")
   or (current_town == "Vault 15")
   or (current_town == "B21")
   or (current_town == "Vault 13")) then begin
      town_level := 5;
   end
   else
   if ((current_town == "Military Base")
   or (current_town == "Navarro")
   or (current_town == "San Francisco")
   or (current_town == "Vault 23")
   or (current_town == "Vault 14")
   or (current_town == "Brohdent")
   or (current_town == "BOS Facility")
   or (current_town == "BoS Help")
   or (current_town == "BoS Bunker")
   or (current_town == "Abandoned Mine")
   or (current_town == "Enclave")) then begin
      town_level := 6;
   end
   else
   if(current_town == "") then begin
      town_level := 4;
   end
   return town_level;
end

#endif // TOWNLEVL_H


















