
#ifndef MERCHANT_H
#define MERCHANT_H

variable percent;
variable item_pid;
variable min;
variable max;
variable global_temp;
variable restock_amt;
variable restock_obj;
variable restock_trash;
variable removed_qty;
variable temp_box;
variable temp_item;
procedure restock_items(variable item_pid, variable min, variable max, variable pecent);
procedure inventory_keepers;

#define METARULE_IS_LOADGAME      22
#define is_loading_game metarule(METARULE_IS_LOADGAME, 0)
#define METARULE_TEST_FIRSTRUN    14
#define map_first_run metarule(METARULE_TEST_FIRSTRUN, 0)
#define create_object(X,Y,Z)    create_object_sid(X,Y,Z,-1)

#include "C:\Game Files\Fallout 2\HEADERS\ITEMPID.H"
#include "C:\Game Files\Fallout 2\HEADERS\MAPS.H"
#include "C:\Game Files\Fallout 2\HEADERS\TIME_INC.H"
#include "C:\Game Files\Fallout 2\HEADERS\TOWNLEVL.H"
#include "C:\Game Files\Fallout 2\HEADERS\ADD_BOOKS.H"
#include "C:\Game Files\Fallout 2\HEADERS\ADD_CAPS.H"
#include "C:\Game Files\Fallout 2\HEADERS\ADD_AMMO_MM.H"
#include "C:\Game Files\Fallout 2\HEADERS\ADD_HERBS_MM.H"
#include "C:\Game Files\Fallout 2\HEADERS\ADD_DRUGS.H"
#include "C:\Game Files\Fallout 2\HEADERS\ADD_BOOZE.H"
#include "C:\Game Files\Fallout 2\HEADERS\ADD_STIMPACKS.H"
#include "C:\Game Files\Fallout 2\HEADERS\ADD_UPGRADE_PARTS_MM.H"

procedure restock_items(variable item_pid, variable min, variable max, variable pecent)
begin
   restock_amt := random(min, max);
   if (obj_is_carrying_obj_pid(self_obj, item_pid) < restock_amt) then begin
      if (percent >= random(1, 100)) then begin
         if (obj_is_carrying_obj_pid(self_obj, item_pid) < restock_amt) then begin
            restock_obj := create_object_sid(item_pid, 0, 0, -1);
            add_mult_objs_to_inven(self_obj, restock_obj, restock_amt - obj_is_carrying_obj_pid(self_obj, item_pid));
         end
         else
         if (obj_is_carrying_obj_pid(self_obj, item_pid) > restock_amt) then begin
            removed_qty := obj_is_carrying_obj_pid(self_obj, item_pid);
            if ((obj_is_carrying_obj_pid(self_obj, item_pid) - restock_amt) < removed_qty) then begin
               removed_qty := obj_is_carrying_obj_pid(self_obj, item_pid) - restock_amt;
            end
            if (removed_qty > 0) then begin
               restock_obj := obj_carrying_pid_obj(self_obj, item_pid);
               if (obj_type(self_obj) == 1) then begin
                  restock_obj := obj_carrying_pid_obj(self_obj, item_pid);
                  if (critter_inven_obj(self_obj, 0) == restock_obj) then begin
                     if (obj_item_subtype(critter_inven_obj(self_obj, 0)) == 0) then begin
                        restock_obj := critter_inven_obj(self_obj, 0);
                        debug_msg("armour pid == " + obj_pid(restock_obj));
                        rm_obj_from_inven(self_obj, restock_obj);
                        add_obj_to_inven(self_obj, restock_obj);
                     end
                  end
                  else
                  if ((critter_inven_obj(self_obj, 2) == restock_obj) or (critter_inven_obj(self_obj, 1) == restock_obj)) then begin
                     metarule(43, self_obj);
                  end
               end
               restock_amt := rm_mult_objs_from_inven(self_obj, restock_obj, removed_qty);
               destroy_object(restock_obj);
            end
            restock_obj := 0;
            restock_amt := 0;
         end
         else begin
            restock_obj := 0;
         end
      end
   end
   else
   if (obj_is_carrying_obj_pid(self_obj, item_pid) < restock_amt) then begin
      restock_obj := create_object_sid(item_pid, 0, 0, -1);
      add_mult_objs_to_inven(self_obj, restock_obj, restock_amt - obj_is_carrying_obj_pid(self_obj, item_pid));
   end
   else
   if (obj_is_carrying_obj_pid(self_obj, item_pid) > restock_amt) then begin
      removed_qty := obj_is_carrying_obj_pid(self_obj, item_pid);
      if ((obj_is_carrying_obj_pid(self_obj, item_pid) - restock_amt) < removed_qty) then begin
         removed_qty := obj_is_carrying_obj_pid(self_obj, item_pid) - restock_amt;
      end
      if (removed_qty > 0) then begin
         restock_obj := obj_carrying_pid_obj(self_obj, item_pid);
         if (obj_type(self_obj) == 1) then begin
            restock_obj := obj_carrying_pid_obj(self_obj, item_pid);
            if (critter_inven_obj(self_obj, 0) == restock_obj) then begin
               if (obj_item_subtype(critter_inven_obj(self_obj, 0)) == 0) then begin
                  restock_obj := critter_inven_obj(self_obj, 0);
                  debug_msg("armour pid == " + obj_pid(restock_obj));
                  rm_obj_from_inven(self_obj, restock_obj);
                  add_obj_to_inven(self_obj, restock_obj);
               end
            end
            else
            if ((critter_inven_obj(self_obj, 2) == restock_obj) or (critter_inven_obj(self_obj, 1) == restock_obj)) then begin
               metarule(43, self_obj);
            end
         end
         restock_amt := rm_mult_objs_from_inven(self_obj, restock_obj, removed_qty);
         destroy_object(restock_obj);
      end
      restock_obj := 0;
      restock_amt := 0;
   end
   else begin
      restock_obj := 0;
   end
end

procedure inventory_keepers
begin
   temp_box := create_object_sid(128, 5, 0, -1);
   if (obj_is_carrying_obj_pid(self_obj, 479) > 0) then begin
      temp_item := obj_carrying_pid_obj(self_obj, 479);
      rm_obj_from_inven(self_obj, temp_item);
      add_obj_to_inven(temp_box, temp_item);
   end
   if (obj_is_carrying_obj_pid(self_obj, 356) > 0) then begin
      temp_item := obj_carrying_pid_obj(self_obj, 356);
      rm_obj_from_inven(self_obj, temp_item);
      add_obj_to_inven(temp_box, temp_item);
   end
   if (obj_is_carrying_obj_pid(self_obj, 377) > 0) then begin
      temp_item := obj_carrying_pid_obj(self_obj, 377);
      rm_obj_from_inven(self_obj, temp_item);
      add_obj_to_inven(temp_box, temp_item);
   end
   if (obj_is_carrying_obj_pid(self_obj, 366) > 0) then begin
      temp_item := obj_carrying_pid_obj(self_obj, 366);
      rm_obj_from_inven(self_obj, temp_item);
      add_obj_to_inven(temp_box, temp_item);
   end
   if (obj_is_carrying_obj_pid(self_obj, 446) > 0) then begin
      temp_item := obj_carrying_pid_obj(self_obj, 446);
      rm_obj_from_inven(self_obj, temp_item);
      add_obj_to_inven(temp_box, temp_item);
   end
   if (obj_is_carrying_obj_pid(self_obj, 492) > 0) then begin
      temp_item := obj_carrying_pid_obj(self_obj, 492);
      rm_obj_from_inven(self_obj, temp_item);
      add_obj_to_inven(temp_box, temp_item);
   end
   if (obj_is_carrying_obj_pid(self_obj, 288) > 0) then begin
      temp_item := obj_carrying_pid_obj(self_obj, 288);
      rm_obj_from_inven(self_obj, temp_item);
      add_obj_to_inven(temp_box, temp_item);
   end
   if (obj_is_carrying_obj_pid(self_obj, 253) > 0) then begin
      temp_item := obj_carrying_pid_obj(self_obj, 253);
      rm_obj_from_inven(self_obj, temp_item);
      add_obj_to_inven(temp_box, temp_item);
   end
   if (obj_is_carrying_obj_pid(self_obj, 254) > 0) then begin
      temp_item := obj_carrying_pid_obj(self_obj, 254);
      rm_obj_from_inven(self_obj, temp_item);
      add_obj_to_inven(temp_box, temp_item);
   end
   if (obj_is_carrying_obj_pid(self_obj, 266) > 0) then begin
      temp_item := obj_carrying_pid_obj(self_obj, 266);
      rm_obj_from_inven(self_obj, temp_item);
      add_obj_to_inven(temp_box, temp_item);
   end
   if (obj_is_carrying_obj_pid(self_obj, 267) > 0) then begin
      temp_item := obj_carrying_pid_obj(self_obj, 267);
      rm_obj_from_inven(self_obj, temp_item);
      add_obj_to_inven(temp_box, temp_item);
   end
   if (obj_is_carrying_obj_pid(self_obj, 258) > 0) then begin
      temp_item := obj_carrying_pid_obj(self_obj, 258);
      rm_obj_from_inven(self_obj, temp_item);
      add_obj_to_inven(temp_box, temp_item);
   end
   if (obj_is_carrying_obj_pid(self_obj, 255) > 0) then begin
      temp_item := obj_carrying_pid_obj(self_obj, 255);
      rm_obj_from_inven(self_obj, temp_item);
      add_obj_to_inven(temp_box, temp_item);
   end
   if (obj_is_carrying_obj_pid(self_obj, 256) > 0) then begin
      temp_item := obj_carrying_pid_obj(self_obj, 256);
      rm_obj_from_inven(self_obj, temp_item);
      add_obj_to_inven(temp_box, temp_item);
   end
   if (obj_is_carrying_obj_pid(self_obj, 257) > 0) then begin
      temp_item := obj_carrying_pid_obj(self_obj, 257);
      rm_obj_from_inven(self_obj, temp_item);
      add_obj_to_inven(temp_box, temp_item);
   end
   if (obj_is_carrying_obj_pid(self_obj, 96) > 0) then begin
      temp_item := obj_carrying_pid_obj(self_obj, 96);
      rm_obj_from_inven(self_obj, temp_item);
      add_obj_to_inven(temp_box, temp_item);
   end
   if (obj_is_carrying_obj_pid(self_obj, 97) > 0) then begin
      temp_item := obj_carrying_pid_obj(self_obj, 97);
      rm_obj_from_inven(self_obj, temp_item);
      add_obj_to_inven(temp_box, temp_item);
   end
   if (obj_is_carrying_obj_pid(self_obj, 99) > 0) then begin
      temp_item := obj_carrying_pid_obj(self_obj, 99);
      rm_obj_from_inven(self_obj, temp_item);
      add_obj_to_inven(temp_box, temp_item);
   end
   if (obj_is_carrying_obj_pid(self_obj, 223) > 0) then begin
      temp_item := obj_carrying_pid_obj(self_obj, 223);
      rm_obj_from_inven(self_obj, temp_item);
      add_obj_to_inven(temp_box, temp_item);
   end
   if (obj_is_carrying_obj_pid(self_obj, 252) > 0) then begin
      temp_item := obj_carrying_pid_obj(self_obj, 252);
      rm_obj_from_inven(self_obj, temp_item);
      add_obj_to_inven(temp_box, temp_item);
   end
   if (obj_is_carrying_obj_pid(self_obj, 298) > 0) then begin
      temp_item := obj_carrying_pid_obj(self_obj, 298);
      rm_obj_from_inven(self_obj, temp_item);
      add_obj_to_inven(temp_box, temp_item);
   end
   if (obj_is_carrying_obj_pid(self_obj, 302) > 0) then begin
      temp_item := obj_carrying_pid_obj(self_obj, 302);
      rm_obj_from_inven(self_obj, temp_item);
      add_obj_to_inven(temp_box, temp_item);
   end
   if (obj_is_carrying_obj_pid(self_obj, 303) > 0) then begin
      temp_item := obj_carrying_pid_obj(self_obj, 303);
      rm_obj_from_inven(self_obj, temp_item);
      add_obj_to_inven(temp_box, temp_item);
   end
   if (obj_is_carrying_obj_pid(self_obj, 305) > 0) then begin
      temp_item := obj_carrying_pid_obj(self_obj, 305);
      rm_obj_from_inven(self_obj, temp_item);
      add_obj_to_inven(temp_box, temp_item);
   end
   if (obj_is_carrying_obj_pid(self_obj, 306) > 0) then begin
      temp_item := obj_carrying_pid_obj(self_obj, 306);
      rm_obj_from_inven(self_obj, temp_item);
      add_obj_to_inven(temp_box, temp_item);
   end
   if (obj_is_carrying_obj_pid(self_obj, 307) > 0) then begin
      temp_item := obj_carrying_pid_obj(self_obj, 307);
      rm_obj_from_inven(self_obj, temp_item);
      add_obj_to_inven(temp_box, temp_item);
   end
   if (obj_is_carrying_obj_pid(self_obj, 335) > 0) then begin
      temp_item := obj_carrying_pid_obj(self_obj, 335);
      rm_obj_from_inven(self_obj, temp_item);
      add_obj_to_inven(temp_box, temp_item);
   end
   if (obj_is_carrying_obj_pid(self_obj, 336) > 0) then begin
      temp_item := obj_carrying_pid_obj(self_obj, 336);
      rm_obj_from_inven(self_obj, temp_item);
      add_obj_to_inven(temp_box, temp_item);
   end
   if (obj_is_carrying_obj_pid(self_obj, 337) > 0) then begin
      temp_item := obj_carrying_pid_obj(self_obj, 337);
      rm_obj_from_inven(self_obj, temp_item);
      add_obj_to_inven(temp_box, temp_item);
   end
   if (obj_is_carrying_obj_pid(self_obj, 338) > 0) then begin
      temp_item := obj_carrying_pid_obj(self_obj, 338);
      rm_obj_from_inven(self_obj, temp_item);
      add_obj_to_inven(temp_box, temp_item);
   end
   if (obj_is_carrying_obj_pid(self_obj, 339) > 0) then begin
      temp_item := obj_carrying_pid_obj(self_obj, 339);
      rm_obj_from_inven(self_obj, temp_item);
      add_obj_to_inven(temp_box, temp_item);
   end
   if (obj_is_carrying_obj_pid(self_obj, 340) > 0) then begin
      temp_item := obj_carrying_pid_obj(self_obj, 340);
      rm_obj_from_inven(self_obj, temp_item);
      add_obj_to_inven(temp_box, temp_item);
   end
   if (obj_is_carrying_obj_pid(self_obj, 341) > 0) then begin
      temp_item := obj_carrying_pid_obj(self_obj, 341);
      rm_obj_from_inven(self_obj, temp_item);
      add_obj_to_inven(temp_box, temp_item);
   end
   if (obj_is_carrying_obj_pid(self_obj, 414) > 0) then begin
      temp_item := obj_carrying_pid_obj(self_obj, 414);
      rm_obj_from_inven(self_obj, temp_item);
      add_obj_to_inven(temp_box, temp_item);
   end
   if (obj_is_carrying_obj_pid(self_obj, 422) > 0) then begin
      temp_item := obj_carrying_pid_obj(self_obj, 422);
      rm_obj_from_inven(self_obj, temp_item);
      add_obj_to_inven(temp_box, temp_item);
   end
   if (obj_is_carrying_obj_pid(self_obj, 431) > 0) then begin
      temp_item := obj_carrying_pid_obj(self_obj, 431);
      rm_obj_from_inven(self_obj, temp_item);
      add_obj_to_inven(temp_box, temp_item);
   end
   if (obj_is_carrying_obj_pid(self_obj, 431) > 0) then begin
      temp_item := obj_carrying_pid_obj(self_obj, 431);
      rm_obj_from_inven(self_obj, temp_item);
      add_obj_to_inven(temp_box, temp_item);
   end
   if (obj_is_carrying_obj_pid(self_obj, 432) > 0) then begin
      temp_item := obj_carrying_pid_obj(self_obj, 432);
      rm_obj_from_inven(self_obj, temp_item);
      add_obj_to_inven(temp_box, temp_item);
   end
   if (obj_is_carrying_obj_pid(self_obj, 431) > 0) then begin
      temp_item := obj_carrying_pid_obj(self_obj, 431);
      rm_obj_from_inven(self_obj, temp_item);
      add_obj_to_inven(temp_box, temp_item);
   end
   if (obj_is_carrying_obj_pid(self_obj, 447) > 0) then begin
      temp_item := obj_carrying_pid_obj(self_obj, 447);
      rm_obj_from_inven(self_obj, temp_item);
      add_obj_to_inven(temp_box, temp_item);
   end
   if (obj_is_carrying_obj_pid(self_obj, 448) > 0) then begin
      temp_item := obj_carrying_pid_obj(self_obj, 448);
      rm_obj_from_inven(self_obj, temp_item);
      add_obj_to_inven(temp_box, temp_item);
   end
   if (obj_is_carrying_obj_pid(self_obj, 449) > 0) then begin
      temp_item := obj_carrying_pid_obj(self_obj, 449);
      rm_obj_from_inven(self_obj, temp_item);
      add_obj_to_inven(temp_box, temp_item);
   end
   if (obj_is_carrying_obj_pid(self_obj, 456) > 0) then begin
      temp_item := obj_carrying_pid_obj(self_obj, 456);
      rm_obj_from_inven(self_obj, temp_item);
      add_obj_to_inven(temp_box, temp_item);
   end
   if (obj_is_carrying_obj_pid(self_obj, 468) > 0) then begin
      temp_item := obj_carrying_pid_obj(self_obj, 468);
      rm_obj_from_inven(self_obj, temp_item);
      add_obj_to_inven(temp_box, temp_item);
   end
   if (obj_is_carrying_obj_pid(self_obj, 471) > 0) then begin
      temp_item := obj_carrying_pid_obj(self_obj, 471);
      rm_obj_from_inven(self_obj, temp_item);
      add_obj_to_inven(temp_box, temp_item);
   end
   if (obj_is_carrying_obj_pid(self_obj, 476) > 0) then begin
      temp_item := obj_carrying_pid_obj(self_obj, 476);
      rm_obj_from_inven(self_obj, temp_item);
      add_obj_to_inven(temp_box, temp_item);
   end
   if (obj_is_carrying_obj_pid(self_obj, 488) > 0) then begin
      temp_item := obj_carrying_pid_obj(self_obj, 488);
      rm_obj_from_inven(self_obj, temp_item);
      add_obj_to_inven(temp_box, temp_item);
   end
   if (obj_is_carrying_obj_pid(self_obj, 495) > 0) then begin
      temp_item := obj_carrying_pid_obj(self_obj, 495);
      rm_obj_from_inven(self_obj, temp_item);
      add_obj_to_inven(temp_box, temp_item);
   end
   if (get_sfall_global_int("nirran_1") == 0) then begin
      global_temp := create_object_sid(128, 0, 0, -1);
      move_obj_inven_to_obj(self_obj, global_temp);
      destroy_object(global_temp);
   end
   move_obj_inven_to_obj(temp_box, self_obj);
end

#endif // MERCHANT_H














         

         



    

     





     

